MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003565ATutorInstallationpublic2008-09-11 04:532008-11-14 08:23
Reportergreg 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.2 
Summary0003565: ALTER db to UTF-8
DescriptionCan the installer run the ALTER statement to switch the db char set to UTF-8, instead of requiring the user to run the cammand manually.

http://www.atutor.ca/view/7/15126/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003208)
harris (developer)
2008-10-02 07:16

I think, not many hosting company would grant the users the privileges to modify the database. Probably just the tables...


ref: http://dev.mysql.com/doc/refman/5.0/en/alter-database.html [^]
"To use ALTER DATABASE, you need the ALTER privilege on the database."
(0003209)
harris (developer)
2008-10-02 07:30

Change it to:

result = sql(alter db)

if !result:
  print error msg - need the alter privilege.
(0003210)
harris (developer)
2008-10-02 08:08

7992

- Issue History
Date Modified Username Field Change
2008-09-11 04:53 greg New Issue
2008-09-11 04:53 greg Affects version => SVN
2008-10-02 07:16 harris Note Added: 0003208
2008-10-02 07:30 harris Note Added: 0003209
2008-10-02 08:08 harris Status new => assigned
2008-10-02 08:08 harris Assigned To => harris
2008-10-02 08:08 harris Status assigned => resolved
2008-10-02 08:08 harris Fixed in Version => 1.6.2
2008-10-02 08:08 harris Resolution open => fixed
2008-10-02 08:08 harris Note Added: 0003210
2008-11-14 08:23 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker